curl --request POST \
--url https://api.ara.so/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"agent": {},
"workflows": [
{}
],
"interfaces": {},
"runtime_profile": {}
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a new app from an agent/workflow/interface manifest.
curl --request POST \
--url https://api.ara.so/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"agent": {},
"workflows": [
{}
],
"interfaces": {},
"runtime_profile": {}
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}PATCH /apps/{app_id}.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Was this page helpful?